package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.scriptcase.dto.caseset.AppList;
import net.northking.cctp.scriptcase.dto.caseset.DeviceList;

import java.util.List;

public class AtuScriptInfoFeignDto {
    @ApiModelProperty("脚本id集合")
    private List<String> scriptId;

    @ApiModelProperty("应用集合")
    private List<AppList> appLists;

    @ApiModelProperty("设备集合")
    private List<DeviceList> deviceLists;

    public List<String> getScriptId() {
        return scriptId;
    }

    public void setScriptId(List<String> scriptId) {
        this.scriptId = scriptId;
    }

    public List<AppList> getAppLists() {
        return appLists;
    }

    public void setAppLists(List<AppList> appLists) {
        this.appLists = appLists;
    }

    public List<DeviceList> getDeviceLists() {
        return deviceLists;
    }

    public void setDeviceLists(List<DeviceList> deviceLists) {
        this.deviceLists = deviceLists;
    }
}
